Skip to content

Fetch the program user's inbox
deprecated

Request

Fetches multiple inbox item records at a time.

Security
oauth2_as_a_user(Required scopes: assistant.inbox.read)
Query
filter.categoriesArray of strings

Limit returned records to those that match the category(s) provided.

Items Enum:"todo""push""mention""author""message_for_you""contributor""service""social_engagement""followed_channels""recommended_content"
curl -i -X GET \
  'https://partner.socialchorus.com/v2/assistant/inbox_items?filter.categories=todo' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
dataArray of objects(Assistant.Inbox.Items.Resource)required
Response
{ "data": [ { … } ] }